Skip to main content
GET
/
v1
/
event
/
{eventId}
/
sessions
/
{sessionId}
/
recordings
/
{recordingId}
Get a session audio recording
curl --request GET \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/recordings/{recordingId} \
  --header 'x-access-token: <api-key>'
import requests

url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/recordings/{recordingId}"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/recordings/{recordingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "recording",
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "s3_bucket": "<string>",
    "s3_key": "<string>",
    "encoding": "linear16",
    "sample_rate": 16000,
    "channels": 1,
    "duration_seconds": 123,
    "file_size_bytes": 123,
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

Event ID

sessionId
string<uuid>
required

Session UUID

recordingId
string<uuid>
required

Response

OK

data
object